<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>Uses of Package nl.naturalis.nba.api</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package nl.naturalis.nba.api";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Uses of Package nl.naturalis.nba.api" class="title">Uses of Package<br>nl.naturalis.nba.api</h1>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="package-summary.html">nl.naturalis.nba.api</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#nl.naturalis.nba.api">nl.naturalis.nba.api</a></th>
<td class="colLast">
<div class="block">Interfaces and classes that define how to interact with the NBA (<b>start here</b>).</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#nl.naturalis.nba.api.model.metadata">nl.naturalis.nba.api.model.metadata</a></th>
<td class="colLast">
<div class="block">Interface and classes used to expose metadata about the NBA.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a id="nl.naturalis.nba.api">
<!--   -->
</a>
<table class="useSummary">
<caption><span>Classes in <a href="package-summary.html">nl.naturalis.nba.api</a> used by <a href="package-summary.html">nl.naturalis.nba.api</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/BatchQueryResult.html#nl.naturalis.nba.api">BatchQueryResult</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/ComparisonOperator.html#nl.naturalis.nba.api">ComparisonOperator</a></th>
<td class="colLast">
<div class="block">Symbolic constants for the operators that can be used in a
 <a href="QueryCondition.html" title="class in nl.naturalis.nba.api"><code>query condition</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/Filter.html#nl.naturalis.nba.api">Filter</a></th>
<td class="colLast">
<div class="block">A generic filter definition.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/GroupByScientificNameQueryResult.html#nl.naturalis.nba.api">GroupByScientificNameQueryResult</a></th>
<td class="colLast">
<div class="block">A extension of <a href="QueryResult.html" title="class in nl.naturalis.nba.api"><code>QueryResult</code></a> capturing the result of a call to
 <a href="ISpecimenAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ISpecimenAccess.groupByScientificName</code></a> or
 <a href="ITaxonAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ITaxonAccess.groupByScientificName</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/GroupByScientificNameQuerySpec.html#nl.naturalis.nba.api">GroupByScientificNameQuerySpec</a></th>
<td class="colLast">
<div class="block">An extension of the <a href="QuerySpec.html" title="class in nl.naturalis.nba.api"><code>QuerySpec</code></a> class specifically meant for
 <a href="ITaxonAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ITaxonAccess.groupByScientificName</code></a> and
 <a href="ISpecimenAccess.html#groupByScientificName(nl.naturalis.nba.api.GroupByScientificNameQuerySpec)"><code>ISpecimenAccess.groupByScientificName</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/GroupByScientificNameQuerySpec.GroupSort.html#nl.naturalis.nba.api">GroupByScientificNameQuerySpec.GroupSort</a></th>
<td class="colLast">
<div class="block">Enumerates options for sorting the <a href="model/ScientificNameGroup.html" title="class in nl.naturalis.nba.api.model"><code>ScientificNameGroup</code></a> objects
 returned from the <code>groupByScientificName</code> APIs.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/INbaAccess.html#nl.naturalis.nba.api">INbaAccess</a></th>
<td class="colLast">
<div class="block">Specifies a set of common data access methods that can be called against any
 type of document within the NBA document store.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/InvalidConditionException.html#nl.naturalis.nba.api">InvalidConditionException</a></th>
<td class="colLast">
<div class="block">Throw when a <a href="QueryCondition.html" title="class in nl.naturalis.nba.api"><code>query condition</code></a> contains an error.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/InvalidQueryException.html#nl.naturalis.nba.api">InvalidQueryException</a></th>
<td class="colLast">
<div class="block">Thrown when <a href="QuerySpec.html" title="class in nl.naturalis.nba.api"><code>query specification</code></a> contains an error.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/LogicalOperator.html#nl.naturalis.nba.api">LogicalOperator</a></th>
<td class="colLast">
<div class="block">Symbolic constants for the two logical operators (AND and OR).</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/NameResolutionQuerySpec.html#nl.naturalis.nba.api">NameResolutionQuerySpec</a></th>
<td class="colLast">
<div class="block">Extension of <a href="QuerySpec.html" title="class in nl.naturalis.nba.api"><code>QuerySpec</code></a> used for the <a href="ISpecimenAccess.html#queryWithNameResolution(nl.naturalis.nba.api.NameResolutionQuerySpec)"><code>queryWithNameResolution</code></a> service.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/NameResolutionRequest.html#nl.naturalis.nba.api">NameResolutionRequest</a></th>
<td class="colLast">
<div class="block">Defines a request to resolve a search phrase to a list of scientific names by
 means of a query on the taxon index..</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/NameResolutionRequest.NameType.html#nl.naturalis.nba.api">NameResolutionRequest.NameType</a></th>
<td class="colLast">
<div class="block">Specifies the different types of names that can be used for the name lookup.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/NbaException.html#nl.naturalis.nba.api">NbaException</a></th>
<td class="colLast">
<div class="block">Base class for all checked exceptions within the NBA.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/NoSuchDataSetException.html#nl.naturalis.nba.api">NoSuchDataSetException</a></th>
<td class="colLast">
<div class="block">Thrown by methods that produce predefined, named data sets (like
 <a href="ITaxonAccess.html#dwcaGetDataSet(java.lang.String,java.io.OutputStream)"><code>dwcaGetDataSet</code></a>) when there is no data set with the specified name.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/NoSuchFieldException.html#nl.naturalis.nba.api">NoSuchFieldException</a></th>
<td class="colLast">
<div class="block">Thrown if a user-specified path does not exist or if it is a non-queryable
 path (only leaf nodes in the document type tree are queryable).</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/Path.html#nl.naturalis.nba.api">Path</a></th>
<td class="colLast">
<div class="block">Immutable class representing a path within an Elasticsearch document.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/QueryCondition.html#nl.naturalis.nba.api">QueryCondition</a></th>
<td class="colLast">
<div class="block">
 Class modeling a query condition.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/QueryResult.html#nl.naturalis.nba.api">QueryResult</a></th>
<td class="colLast">
<div class="block">A <code>QueryResult</code> represents the result from a <a href="QuerySpec.html" title="class in nl.naturalis.nba.api"><code>search
 request</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/QueryResultItem.html#nl.naturalis.nba.api">QueryResultItem</a></th>
<td class="colLast">
<div class="block">A <code>QueryResultItem</code> contains a document (or other type of object)
 returned from a <a href="QuerySpec.html" title="class in nl.naturalis.nba.api"><code>query</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/QuerySpec.html#nl.naturalis.nba.api">QuerySpec</a></th>
<td class="colLast">
<div class="block">
 A <code>QuerySpec</code> object enables you to specify a query for the NBA.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/SortField.html#nl.naturalis.nba.api">SortField</a></th>
<td class="colLast">
<div class="block">Represents a field that you want a set of documents to be sorted on.</div>
</td>
</tr>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/SortOrder.html#nl.naturalis.nba.api">SortOrder</a></th>
<td class="colLast">
<div class="block">Symbolic constants for ascending and descending sort orders.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="class-use/UnaryBooleanOperator.html#nl.naturalis.nba.api">UnaryBooleanOperator</a></th>
<td class="colLast">
<div class="block">Defines a single constant representing the unary boolean operator NOT.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a id="nl.naturalis.nba.api.model.metadata">
<!--   -->
</a>
<table class="useSummary">
<caption><span>Classes in <a href="package-summary.html">nl.naturalis.nba.api</a> used by <a href="model/metadata/package-summary.html">nl.naturalis.nba.api.model.metadata</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="class-use/ComparisonOperator.html#nl.naturalis.nba.api.model.metadata">ComparisonOperator</a></th>
<td class="colLast">
<div class="block">Symbolic constants for the operators that can be used in a
 <a href="QueryCondition.html" title="class in nl.naturalis.nba.api"><code>query condition</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Use</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
